<?php
require_once '../includes/config.php';
require_once '../includes/auth.php';

// التحقق من تسجيل دخول المدير
checkAdminAuth();

// استدعاء البيانات الإحصائية
$totalProjects = getTotalProjects();
$activeProjects = getActiveProjects();
$totalWorkers = getTotalWorkers();
$monthlyRevenue = getMonthlyRevenue();
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>لوحة التحكم | نظام إدارة المقاولات</title>
    <link rel="stylesheet" href="../assets/css/admin.css">
</head>
<body>
    <?php include 'includes/admin-header.php'; ?>
    
    <div class="dashboard-container">
        <div class="stats-cards">
            <div class="stat-card">
                <h3>إجمالي المشاريع</h3>
                <p><?php echo $totalProjects; ?></p>
            </div>
            <div class="stat-card">
                <h3>المشاريع النشطة</h3>
                <p><?php echo $activeProjects; ?></p>
            </div>
            <div class="stat-card">
                <h3>عدد العمال</h3>
                <p><?php echo $totalWorkers; ?></p>
            </div>
            <div class="stat-card">
                <h3>إيرادات الشهر</h3>
                <p><?php echo number_format($monthlyRevenue, 2); ?> ريال</p>
            </div>
        </div>
        
        <div class="charts-container">
            <div class="chart">
                <h3>نسب إنجاز المشاريع</h3>
                <canvas id="projectsProgress"></canvas>
            </div>
            <div class="chart">
                <h3>الإيرادات والمصروفات</h3>
                <canvas id="financialChart"></canvas>
            </div>
        </div>
        
        <div class="recent-activities">
            <h3>آخر النشاطات</h3>
            <div class="activities-list">
                <?php
                $activities = getRecentActivities();
                foreach($activities as $activity):
                ?>
                <div class="activity-item">
                    <span class="activity-time"><?php echo $activity['time']; ?></span>
                    <span class="activity-text"><?php echo $activity['description']; ?></span>
                </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
    
    <script src="../assets/js/charts.js"></script>
    <script src="../assets/js/notifications.js"></script>
</body>
</html>