<?php
require_once '../includes/config.php';
require_once '../includes/auth.php';

checkAdminAuth();

$report_type = $_GET['type'] ?? 'financial';
$start_date = $_GET['start_date'] ?? date('Y-m-01');
$end_date = $_GET['end_date'] ?? date('Y-m-d');
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>التقارير | نظام إدارة المقاولات</title>
    <link rel="stylesheet" href="../assets/css/admin.css">
</head>
<body>
    <?php include 'includes/admin-header.php'; ?>
    
    <div class="reports-container">
        <div class="reports-filter">
            <form method="GET" action="">
                <div class="form-group">
                    <label>نوع التقرير</label>
                    <select name="type" onchange="this.form.submit()">
                        <option value="financial" <?php echo $report_type == 'financial' ? 'selected' : ''; ?>>تقرير مالي</option>
                        <option value="projects" <?php echo $report_type == 'projects' ? 'selected' : ''; ?>>تقرير المشاريع</option>
                        <option value="workers" <?php echo $report_type == 'workers' ? 'selected' : ''; ?>>تقرير العمال</option>
                    </select>
                </div>
                
                <div class="form-group">
                    <label>من تاريخ</label>
                    <input type="date" name="start_date" value="<?php echo $start_date; ?>">
                </div>
                
                <div class="form-group">
                    <label>إلى تاريخ</label>
                    <input type="date" name="end_date" value="<?php echo $end_date; ?>">
                </div>
                
                <button type="submit" class="btn-filter">عرض التقرير</button>
                <button type="button" onclick="exportReport()" class="btn-export">تصدير PDF</button>
            </form>
        </div>
        
        <div class="report-content">
            <?php
            switch($report_type) {
                case 'financial':
                    include 'reports/financial_report.php';
                    break;
                case 'projects':
                    include 'reports/projects_report.php';
                    break;
                case 'workers':
                    include 'reports/workers_report.php';
                    break;
            }
            ?>
        </div>
    </div>
    
    <script src="../assets/js/reports.js"></script>
</body>
</html>