<?php
require_once '../../includes/config.php';
require_once '../../includes/auth.php';
header('Content-Type: application/json; charset=utf-8');

// التحقق من الصلاحيات
if (!$auth->hasPermission('view_expenses')) {
    http_response_code(403);
    echo json_encode(['error' => 'ليس لديك صلاحية للوصول']);
    exit;
}

try {
    $types = getAll("
        SELECT 
            type,
            COUNT(*) as count,
            SUM(amount) as total_amount
        FROM expenses 
        GROUP BY type
        ORDER BY total_amount DESC
    ");

    echo json_encode([
        'status' => 'success',
        'data' => $types
    ]);
} catch (Exception $e) {
    http_response_code(500);
    echo json_encode(['error' => 'خطأ في جلب البيانات']);
}