<?php
// منع الوصول المباشر للملف
if (!defined('SECURE_ACCESS')) {
    die('Access Denied');
}

// إعدادات قاعدة البيانات
define('DB_HOST', 'localhost');
define('DB_USER', 'shmoolpt_schema');
define('DB_PASS', 'Zakaria***2005');
define('DB_NAME', 'shmoolpt_schema');

// إعدادات عامة للتطبيق
define('SITE_NAME', 'نظام إدارة المقاولات');
define('SITE_URL', 'http://localhost/construction');
define('ADMIN_EMAIL', 'admin@example.com');

// المجلدات
define('ROOT_PATH', dirname(dirname(__FILE__)));
define('UPLOADS_PATH', ROOT_PATH . '/uploads');
define('BACKUP_PATH', ROOT_PATH . '/backups');

// إعدادات الجلسة
ini_set('session.cookie_httponly', 1);
ini_set('session.use_only_cookies', 1);
ini_set('session.cookie_secure', isset($_SERVER['HTTPS']));
session_start();

// إعدادات المنطقة الزمنية
date_default_timezone_set('Asia/Riyadh');
setlocale(LC_ALL, 'ar_SA.UTF-8');

// اتصال قاعدة البيانات
try {
    $pdo = new PDO(
        "mysql:host=" . DB_HOST . ";dbname=" . DB_NAME . ";charset=utf8mb4",
        DB_USER,
        DB_PASS,
        [
            PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
            PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
            PDO::ATTR_EMULATE_PREPARES => false
        ]
    );
} catch (PDOException $e) {
    die("خطأ في الاتصال بقاعدة البيانات: " . $e->getMessage());
}

// ثوابت النظام
define('PAGINATION_LIMIT', 25);
define('MAX_FILE_SIZE', 5 * 1024 * 1024); // 5MB
define('ALLOWED_FILE_TYPES', ['jpg', 'jpeg', 'png', 'pdf', 'doc', 'docx']);
define('DEFAULT_CURRENCY', 'SAR');

// إعدادات الأمان
define('HASH_COST', 12); // تكلفة التشفير
define('TOKEN_EXPIRY', 3600); // مدة صلاحية التوكن بالثواني

// رسائل النظام
const SYSTEM_MESSAGES = [
    'success' => 'تمت العملية بنجاح',
    'error' => 'حدث خطأ أثناء تنفيذ العملية',
    'invalid_access' => 'غير مصرح بالوصول',
    'missing_data' => 'البيانات المطلوبة غير مكتملة',
    'invalid_file' => 'الملف غير صالح',
    'db_error' => 'خطأ في قاعدة البيانات'
];

// دوال المساعدة الأساسية
function getConfig($key) {
    global $pdo;
    $stmt = $pdo->prepare("SELECT value FROM system_config WHERE key = ?");
    $stmt->execute([$key]);
    return $stmt->fetchColumn();
}

function updateConfig($key, $value) {
    global $pdo;
    $stmt = $pdo->prepare("UPDATE system_config SET value = ? WHERE key = ?");
    return $stmt->execute([$value, $key]);
}

// التعامل مع الأخطاء
function handleError($errno, $errstr, $errfile, $errline) {
    $error_message = date('Y-m-d H:i:s') . " Error: [$errno] $errstr in $errfile on line $errline\n";
    error_log($error_message, 3, ROOT_PATH . '/logs/error.log');
    return true;
}
set_error_handler('handleError');

// تأمين الموقع
header('X-Frame-Options: DENY');
header('X-XSS-Protection: 1; mode=block');
header('X-Content-Type-Options: nosniff');
header('Strict-Transport-Security: max-age=31536000; includeSubDomains');