<?php
require_once '../includes/config.php';
require_once '../includes/auth.php';

checkWorkerAuth();

$worker = getWorkerDetails($_SESSION['worker_id']);
$today_attendance = getWorkerTodayAttendance($_SESSION['worker_id']);
$current_projects = getWorkerProjects($_SESSION['worker_id']);
$recent_activities = getWorkerRecentActivities($_SESSION['worker_id']);
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>لوحة تحكم العامل</title>
    <link rel="stylesheet" href="../assets/css/workers.css">
</head>
<body>
    <?php include 'includes/worker-header.php'; ?>
    
    <div class="dashboard-container">
        <div class="worker-info">
            <div class="profile-section">
                <img src="<?php echo $worker['photo_url']; ?>" alt="صورة العامل" class="profile-photo">
                <div class="info">
                    <h2><?php echo $worker['full_name']; ?></h2>
                    <p>كود العامل: <?php echo $worker['worker_code']; ?></p>
                    <p>المهنة: <?php echo $worker['job_title']; ?></p>
                </div>
            </div>
            
            <div class="attendance-section">
                <h3>تسجيل الحضور اليوم</h3>
                <?php if(!$today_attendance): ?>
                    <form method="POST" action="record_attendance.php">
                        <button type="submit" name="action" value="check_in" class="btn-check-in">
                            تسجيل حضور
                        </button>
                    </form>
                <?php elseif(!$today_attendance['check_out_time']): ?>
                    <form method="POST" action="record_attendance.php">
                        <button type="submit" name="action" value="check_out" class="btn-check-out">
                            تسجيل انصراف
                        </button>
                    </form>
                <?php else: ?>
                    <div class="attendance-complete">
                        <p>تم تسجيل الحضور والانصراف لهذا اليوم</p>
                        <p>وقت الحضور: <?php echo $today_attendance['check_in_time']; ?></p>
                        <p>وقت الانصراف: <?php echo $today_attendance['check_out_time']; ?></p>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        
        <div class="current-projects">
            <h3>المشاريع الحالية</h3>
            <div class="projects-grid">
                <?php foreach($current_projects as $project): ?>
                <div class="project-card">
                    <h4><?php echo $project['name']; ?></h4>
                    <div class="progress-bar">
                        <div class="progress" style="width: <?php echo $project['progress']; ?>%">
                            <?php echo $project['progress']; ?>%
                        </div>
                    </div>
                    <p>الموقع: <?php echo $project['location']; ?></p>
                    <a href="projects.php?id=<?php echo $project['id']; ?>" class="btn-details">
                        التفاصيل
                    </a>
                </div>
                <?php endforeach; ?>
            </div>
        </div>
        
        <div class="recent-activities">
            <h3>آخر النشاطات</h3>
            <div class="activities-list">
                <?php foreach($recent_activities as $activity): ?>
                <div class="activity-item">
                    <span class="activity-date"><?php echo $activity['date']; ?></span>
                    <span class="activity-description"><?php echo $activity['description']; ?></span>
                </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</body>
</html>