<?php
require_once '../includes/config.php';
require_once '../includes/auth.php';

// التحقق إذا كان العامل مسجل دخول بالفعل
if(isWorkerLoggedIn()) {
    header("Location: dashboard.php");
    exit();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $worker_code = $_POST['worker_code'] ?? '';
    
    if(validateWorkerLogin($worker_code)) {
        $worker = getWorkerByCode($worker_code);
        $_SESSION['worker_id'] = $worker['id'];
        $_SESSION['worker_code'] = $worker_code;
        header("Location: dashboard.php");
        exit();
    } else {
        $error = "كود العامل غير صحيح";
    }
}
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>تسجيل دخول العمال</title>
    <link rel="stylesheet" href="../assets/css/workers.css">
</head>
<body class="worker-login">
    <div class="login-container">
        <div class="login-box">
            <img src="../assets/images/logo.png" alt="شعار الشركة" class="logo">
            <h2>تسجيل دخول العمال</h2>
            
            <?php if(isset($error)): ?>
                <div class="alert alert-danger"><?php echo $error; ?></div>
            <?php endif; ?>
            
            <form method="POST" action="">
                <div class="form-group">
                    <label for="worker_code">كود العامل</label>
                    <input type="text" id="worker_code" name="worker_code" 
                           placeholder="أدخل كود العامل الخاص بك" required>
                </div>
                
                <button type="submit" class="btn-login">تسجيل الدخول</button>
            </form>
        </div>
    </div>
</body>
</html>